std::atomic< char32_t > Struct Reference
Atomics

`#include <atomic>`

## Public Types

typedef __atomic_base< char32_t > | __base_type
typedef char32_t | __integral_type
using | value_type

## Public Member Functions

constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
bool | compare_exchange_strong (char32_t &__e, char32_t __i, memory_order __s, memory_order __f) noexcept
bool | compare_exchange_weak (char32_t &__e, char32_t __i, memory_order __s, memory_order __f) noexcept
char32_t | exchange (char32_t __i, memory_order __m=memory_order_seq_cst) noexcept
bool | is_lock_free () const noexcept
char32_t | load (memory_order __m=memory_order_seq_cst) const noexcept
void | notify_all () noexcept
void | notify_one () noexcept
| operator char32_t () const noexcept
| operator char32_t () const volatile noexcept
atomic & | operator= (const atomic &) volatile =delete
atomic & | operator= (const atomic &)=delete
void | store (char32_t __i, memory_order __m=memory_order_seq_cst) noexcept
void | wait (char32_t __old, memory_order __m=memory_order_seq_cst) const noexcept

## Static Public Attributes

static constexpr bool | is_always_lock_free

## Detailed Description

Explicit specialization for char32_t.

Definition at line 1037 of file atomic.

## Member Typedef Documentation

## __base_type

typedef __atomic_base<char32_t> std::atomic< char32_t >::__base_type

Definition at line 1040 of file atomic.

## __integral_type

typedef char32_t std::atomic< char32_t >::__integral_type

Definition at line 1039 of file atomic.

## value_type

using std::atomic< char32_t >::value_type

Definition at line 200 of file atomic.

## Constructor & Destructor Documentation

## atomic()

std::atomic< char32_t >::atomic | ( | __integral_type | __i | ) |

inline constexpr noexcept

Definition at line 1048 of file atomic.

## Member Function Documentation

## compare_exchange_strong()

bool std::atomic< char32_t >::compare_exchange_strong | ( | char32_t & | __e,
|  | char32_t | __i,
|  | memory_order | __s,
|  | memory_order | __f )

inline noexcept

Definition at line 358 of file atomic.

## compare_exchange_weak()

bool std::atomic< char32_t >::compare_exchange_weak | ( | char32_t & | __e,
|  | char32_t | __i,
|  | memory_order | __s,
|  | memory_order | __f )

inline noexcept

Definition at line 322 of file atomic.

## exchange()

char32_t std::atomic< char32_t >::exchange | ( | char32_t | __i,
|  | memory_order | __m = memory_order_seq_cst )

inline noexcept

Definition at line 301 of file atomic.

## is_lock_free()

bool std::atomic< char32_t >::is_lock_free | ( |  | ) | const

inline noexcept

Definition at line 250 of file atomic.

## load()

char32_t std::atomic< char32_t >::load | ( | memory_order | __m = memory_order_seq_cst | ) | const

inline noexcept

Definition at line 283 of file atomic.

## notify_all()

void std::atomic< char32_t >::notify_all | ( |  | ) |

inline noexcept

Definition at line 408 of file atomic.

## notify_one()

void std::atomic< char32_t >::notify_one | ( |  | ) |

inline noexcept

Definition at line 404 of file atomic.

## operator char32_t() [1/2]

std::atomic< char32_t >::operator char32_t | ( |  | ) | const

inline noexcept

Definition at line 235 of file atomic.

## operator char32_t() [2/2]

std::atomic< char32_t >::operator char32_t | ( |  | ) | const volatile

inline noexcept

Definition at line 238 of file atomic.

## store()

void std::atomic< char32_t >::store | ( | char32_t | __i,
|  | memory_order | __m = memory_order_seq_cst )

inline noexcept

Definition at line 271 of file atomic.

## wait()

void std::atomic< char32_t >::wait | ( | char32_t | __old,
|  | memory_order | __m = memory_order_seq_cst ) const

inline noexcept

Definition at line 395 of file atomic.

## Member Data Documentation

## is_always_lock_free

bool std::atomic< char32_t >::is_always_lock_free

static constexpr

Definition at line 1054 of file atomic.

The documentation for this struct was generated from the following file:

- atomic